// DlgProxy.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemoPdx.h"
#include "DlgProxy.h"
#include "VCDemoPdxDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCDemoPdxDlgAutoProxy

IMPLEMENT_DYNCREATE(CVCDemoPdxDlgAutoProxy, CCmdTarget)

CVCDemoPdxDlgAutoProxy::CVCDemoPdxDlgAutoProxy()
{
	EnableAutomation();
	
	// To keep the application running as long as an automation 
	//	object is active, the constructor calls AfxOleLockApp.
	AfxOleLockApp();

	// Get access to the dialog through the application's
	//  main window pointer.  Set the proxy's internal pointer
	//  to point to the dialog, and set the dialog's back pointer to
	//  this proxy.
	ASSERT (AfxGetApp()->m_pMainWnd != NULL);
	ASSERT_VALID (AfxGetApp()->m_pMainWnd);
	ASSERT_KINDOF(CVCDemoPdxDlg, AfxGetApp()->m_pMainWnd);
	m_pDialog = (CVCDemoPdxDlg*) AfxGetApp()->m_pMainWnd;
	m_pDialog->m_pAutoProxy = this;
}

CVCDemoPdxDlgAutoProxy::~CVCDemoPdxDlgAutoProxy()
{
	// To terminate the application when all objects created with
	// 	with automation, the destructor calls AfxOleUnlockApp.
	//  Among other things, this will destroy the main dialog
	if (m_pDialog != NULL)
		m_pDialog->m_pAutoProxy = NULL;
	AfxOleUnlockApp();
}

void CVCDemoPdxDlgAutoProxy::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}

BEGIN_MESSAGE_MAP(CVCDemoPdxDlgAutoProxy, CCmdTarget)
	//{{AFX_MSG_MAP(CVCDemoPdxDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CVCDemoPdxDlgAutoProxy, CCmdTarget)
	//{{AFX_DISPATCH_MAP(CVCDemoPdxDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IVCDemoPdx to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .ODL file.

// {98D4BB0F-B4A8-43C4-A783-7E8BDB0A0ED9}
static const IID IID_IVCDemoPdx =
{ 0x98d4bb0f, 0xb4a8, 0x43c4, { 0xa7, 0x83, 0x7e, 0x8b, 0xdb, 0xa, 0xe, 0xd9 } };

BEGIN_INTERFACE_MAP(CVCDemoPdxDlgAutoProxy, CCmdTarget)
	INTERFACE_PART(CVCDemoPdxDlgAutoProxy, IID_IVCDemoPdx, Dispatch)
END_INTERFACE_MAP()

// The IMPLEMENT_OLECREATE2 macro is defined in StdAfx.h of this project
// {E6F9AE9B-E3C6-43BC-85C8-5FEED1FD1F74}
IMPLEMENT_OLECREATE2(CVCDemoPdxDlgAutoProxy, "VCDemoPdx.Application", 0xe6f9ae9b, 0xe3c6, 0x43bc, 0x85, 0xc8, 0x5f, 0xee, 0xd1, 0xfd, 0x1f, 0x74)

/////////////////////////////////////////////////////////////////////////////
// CVCDemoPdxDlgAutoProxy message handlers
